memory leak of 1.9.0 on Mac at unit tests

RESOLVED WORKSFORME

Status

()

Core
General
RESOLVED WORKSFORME
8 years ago
5 years ago

People

(Reporter: masayuki, Unassigned)

Tracking

({intermittent-failure, mlk})

1.9.0 Branch
x86
Mac OS X
intermittent-failure, mlk
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

The leak started from:
> MacOSX Darwin 8.11.1 bm-xserve20 dep unit test
> Started 2010/02/12 19:51, finished 2010/02/12 21:19

but the previous build cycle doesn't have this problem:
> MacOSX Darwin 8.11.1 bm-xserve20 dep unit test
> Started 2010/02/12 10:51, finished 2010/02/12 11:53

looks like there are no check-ins between these two cycles.

On most cases, this is displayed as
> mochitest
> 45378/13/1157
> chrome
> 558/63/28
on tinderbox.
http://tinderbox.mozilla.org/showbuilds.cgi?tree=Firefox3.0

The sample is here:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.0/1266940305.1266945360.32672.gz

> WARNING leaked 605223 bytes during test execution
> WARNING leaked 606 instances of AtomImpl with size 16 bytes each (9696 bytes total)
> WARNING leaked 1 instance of BackstagePass with size 20 bytes
> WARNING leaked 4 instances of CSSImportRuleImpl with size 44 bytes each (176 bytes total)
> WARNING leaked 49 instances of CSSImportantRule with size 12 bytes each (588 bytes total)
> WARNING leaked 21 instances of CSSLoaderImpl with size 188 bytes each (3948 bytes total)
> WARNING leaked 23 instances of CSSNameSpaceRuleImpl with size 40 bytes each (920 bytes total)
> WARNING leaked 3 instances of CSSParserImpl with size 4780 bytes each (14340 bytes total)
> WARNING leaked 660 instances of CSSStyleRuleImpl with size 40 bytes each (26400 bytes total)
> WARNING leaked 9 instances of DeviceContextImpl with size 52 bytes each (468 bytes total)
> WARNING leaked 20 instances of HTMLCSSStyleSheetImpl with size 28 bytes each (560 bytes total)
> WARNING leaked 1 instance of HoldJSObjects with size 4 bytes
> WARNING leaked 2 instances of ImageObserver with size 8 bytes each (16 bytes total)
> WARNING leaked 1 instance of LiteralImpl with size 8 bytes
> WARNING leaked 2 instances of MacOSFamilyEntry with size 28 bytes each (56 bytes total)
> WARNING leaked 12 instances of MacOSFontEntry with size 40 bytes each (480 bytes total)
> WARNING leaked 1 instance of NameSpaceManagerImpl with size 44 bytes
> WARNING leaked 1 instance of PrincipalHolder with size 12 bytes
> WARNING leaked 1 instance of RDFServiceImpl with size 272 bytes
> WARNING leaked 2 instances of StringAdopt with size 1 bytes each (2 bytes total)
> WARNING leaked 18 instances of XPCContext with size 40 bytes each (720 bytes total)
> WARNING leaked 20 instances of XPCNativeInterface with size 24 bytes each (480 bytes total)
> WARNING leaked 20 instances of XPCNativeMember with size 12 bytes each (240 bytes total)
> WARNING leaked 33 instances of XPCNativeScriptableInfo with size 8 bytes each (264 bytes total)
> WARNING leaked 3 instances of XPCNativeScriptableShared with size 108 bytes each (324 bytes total)
> WARNING leaked 11 instances of XPCNativeSet with size 8 bytes each (88 bytes total)
> WARNING leaked 64 instances of XPCWrappedNative with size 48 bytes each (3072 bytes total)
> WARNING leaked 35 instances of XPCWrappedNativeProto with size 28 bytes each (980 bytes total)
> WARNING leaked 33 instances of XPCWrappedNativeScope with size 60 bytes each (1980 bytes total)
> WARNING leaked 20 instances of gfxFont with size 72 bytes each (1440 bytes total)
> WARNING leaked 8 instances of gfxGlyphExtents with size 40 bytes each (320 bytes total)
> WARNING leaked 3 instances of gfxImageFrame with size 56 bytes each (168 bytes total)
> WARNING leaked 69 instances of gfxTextRun with size 80 bytes each (5520 bytes total)
> WARNING leaked 16 instances of gfxTextRunFactory with size 8 bytes each (128 bytes total)
> WARNING leaked 15 instances of imgContainer with size 84 bytes each (1260 bytes total)
> WARNING leaked 1 instance of imgLoader with size 12 bytes
> WARNING leaked 15 instances of imgRequest with size 152 bytes each (2280 bytes total)
> WARNING leaked 15 instances of imgRequestProxy with size 32 bytes each (480 bytes total)
> WARNING leaked 2 instances of mozStorageConnection with size 60 bytes each (120 bytes total)
> WARNING leaked 1 instance of mozStorageFunctionGetUnreversedHost with size 8 bytes
> WARNING leaked 1 instance of mozStorageService with size 16 bytes
> WARNING leaked 40 instances of mozStorageStatement with size 44 bytes each (1760 bytes total)
> WARNING leaked 1 instance of nsAnnotationService with size 80 bytes
> WARNING leaked 299 instances of nsAtomList with size 8 bytes each (2392 bytes total)
> WARNING leaked 565 instances of nsAtomStringList with size 12 bytes each (6780 bytes total)
> WARNING leaked 347 instances of nsAttrSelector with size 28 bytes each (9716 bytes total)
> WARNING leaked 1 instance of nsBaseAppShell with size 60 bytes
> WARNING leaked 3 instances of nsBaseURLParser with size 8 bytes each (24 bytes total)
> WARNING leaked 9 instances of nsBaseWidget with size 104 bytes each (936 bytes total)
> WARNING leaked 1 instance of nsBasicEncoder with size 12 bytes
> WARNING leaked 1 instance of nsBidiKeyboard with size 8 bytes
> WARNING leaked 21 instances of nsBindingManager with size 252 bytes each (5292 bytes total)
> WARNING leaked 2 instances of nsBoxLayout with size 8 bytes each (16 bytes total)
> WARNING leaked 6 instances of nsCSSAural with size 136 bytes each (816 bytes total)
> WARNING leaked 6 instances of nsCSSBreaks with size 32 bytes each (192 bytes total)
> WARNING leaked 6 instances of nsCSSColor with size 80 bytes each (480 bytes total)
> WARNING leaked 6 instances of nsCSSColumn with size 24 bytes each (144 bytes total)
> WARNING leaked 6 instances of nsCSSContent with size 24 bytes each (144 bytes total)
> WARNING leaked 660 instances of nsCSSDeclaration with size 32 bytes each (21120 bytes total)
> WARNING leaked 6 instances of nsCSSDisplay with size 136 bytes each (816 bytes total)
> WARNING leaked 6 instances of nsCSSFont with size 88 bytes each (528 bytes total)
> WARNING leaked 6 instances of nsCSSList with size 56 bytes each (336 bytes total)
> WARNING leaked 6 instances of nsCSSMargin with size 520 bytes each (3120 bytes total)
> WARNING leaked 4 instances of nsCSSMediaRule with size 36 bytes each (144 bytes total)
> WARNING leaked 1 instance of nsCSSOMFactory with size 8 bytes
> WARNING leaked 6 instances of nsCSSPage with size 24 bytes each (144 bytes total)
> WARNING leaked 6 instances of nsCSSPosition with size 96 bytes each (576 bytes total)
> WARNING leaked 2 instances of nsCSSQuotes with size 20 bytes each (40 bytes total)
> WARNING leaked 67 instances of nsCSSRect with size 32 bytes each (2144 bytes total)
> WARNING leaked 691 instances of nsCSSRule with size 16 bytes each (11056 bytes total)
> WARNING leaked 17 instances of nsCSSRuleProcessor with size 16 bytes each (272 bytes total)
> WARNING leaked 6 instances of nsCSSSVG with size 252 bytes each (1512 bytes total)
> WARNING leaked 3 instances of nsCSSScanner with size 1000 bytes each (3000 bytes total)
> WARNING leaked 1870 instances of nsCSSSelector with size 36 bytes each (67320 bytes total)
> WARNING leaked 1222 instances of nsCSSSelectorList with size 12 bytes each (14664 bytes total)
> WARNING leaked 26 instances of nsCSSStyleSheet with size 76 bytes each (1976 bytes total)
> WARNING leaked 21 instances of nsCSSStyleSheetInner with size 76 bytes each (1596 bytes total)
> WARNING leaked 6 instances of nsCSSTable with size 80 bytes each (480 bytes total)
> WARNING leaked 6 instances of nsCSSText with size 84 bytes each (504 bytes total)
> WARNING leaked 6 instances of nsCSSUserInterface with size 52 bytes each (312 bytes total)
> WARNING leaked 15 instances of nsCSSValue::Image with size 24 bytes each (360 bytes total)
> WARNING leaked 225 instances of nsCSSValue::URL with size 20 bytes each (4500 bytes total)
> WARNING leaked 153 instances of nsCSSValueList with size 12 bytes each (1836 bytes total)
> WARNING leaked 6 instances of nsCSSValueListRect with size 16 bytes each (96 bytes total)
> WARNING leaked 47 instances of nsCSSValuePair with size 16 bytes each (752 bytes total)
> WARNING leaked 6 instances of nsCSSXUL with size 48 bytes each (288 bytes total)
> WARNING leaked 581 instances of nsCStringKey with size 16 bytes each (9296 bytes total)
> WARNING leaked 15 instances of nsCacheEntryDescriptor with size 24 bytes each (360 bytes total)
> WARNING leaked 1 instance of nsCacheEntryHashTable with size 36 bytes
> WARNING leaked 1 instance of nsCacheService with size 124 bytes
> WARNING leaked 1 instance of nsCategoryManager with size 76 bytes
> WARNING leaked 3 instances of nsCategoryObserver with size 56 bytes each (168 bytes total)
> WARNING leaked 1 instance of nsCharsetAlias2 with size 12 bytes
> WARNING leaked 53 instances of nsChildContentList with size 12 bytes each (636 bytes total)
> WARNING leaked 9 instances of nsCocoaWindow with size 140 bytes each (1260 bytes total)
> WARNING leaked 1 instance of nsCollation with size 8 bytes
> WARNING leaked 1 instance of nsCollationMac with size 272 bytes
> WARNING leaked 88 instances of nsCommentNode with size 32 bytes each (2816 bytes total)
> WARNING leaked 3 instances of nsConsoleMessage with size 20 bytes each (60 bytes total)
> WARNING leaked 1 instance of nsConsoleService with size 76 bytes
> WARNING leaked 1 instance of nsContentPolicy with size 32 bytes
> WARNING leaked 1 instance of nsDNSService with size 40 bytes
> WARNING leaked 1 instance of nsDOMClassInfo with size 16 bytes
> WARNING leaked 11 instances of nsDOMDocumentType with size 80 bytes each (880 bytes total)
> WARNING leaked 1 instance of nsDOMEventGroup with size 8 bytes
> WARNING leaked 1 instance of nsDOMStorageManager with size 44 bytes
> WARNING leaked 1 instance of nsDSURIContentListener with size 32 bytes
> WARNING leaked 1 instance of nsDateTimeFormatMac with size 56 bytes
> WARNING leaked 1 instance of nsDefaultURIFixup with size 96 bytes
> WARNING leaked 1 instance of nsDeque with size 52 bytes
> WARNING leaked 1 instance of nsDocLoader with size 144 bytes
> WARNING leaked 1 instance of nsDocShell with size 460 bytes
> WARNING leaked 2 instances of nsDocShell::InterfaceRequestorProxy with size 12 bytes each (24 bytes total)
> WARNING leaked 20 instances of nsDocument with size 484 bytes each (9680 bytes total)
> WARNING leaked 1 instance of nsEntropyCollector with size 1044 bytes
> WARNING leaked 1 instance of nsErrorService with size 128 bytes
> WARNING leaked 94 instances of nsEventListenerManager with size 92 bytes each (8648 bytes total)
> WARNING leaked 1 instance of nsEventListenerThisTranslator with size 8 bytes
> WARNING leaked 1 instance of nsExceptionManager with size 20 bytes
> WARNING leaked 1 instance of nsExternalHelperAppService with size 36 bytes
> WARNING leaked 1 instance of nsFrameLoader with size 24 bytes
> WARNING leaked 101 instances of nsGenericDOMDataNode with size 28 bytes each (2828 bytes total)
> WARNING leaked 53 instances of nsGenericDOMNodeList with size 8 bytes each (424 bytes total)
> WARNING leaked 638 instances of nsGenericElement with size 24 bytes each (15312 bytes total)
> WARNING leaked 2 instances of nsGenericFactory with size 16 bytes each (32 bytes total)
> WARNING leaked 2 instances of nsGlobalChromeWindow with size 420 bytes each (840 bytes total)
> WARNING leaked 2 instances of nsGlobalWindow with size 412 bytes each (824 bytes total)
> WARNING leaked 1 instance of nsGlobalWindowObserver with size 12 bytes
> WARNING leaked 2 instances of nsHTMLInputElement with size 108 bytes each (216 bytes total)
> WARNING leaked 1 instance of nsHTMLSpanElement with size 28 bytes
> WARNING leaked 20 instances of nsHTMLStyleSheet with size 92 bytes each (1840 bytes total)
> WARNING leaked 120 instances of nsHTMLStyleSheet::GenericTableRule with size 8 bytes each (960 bytes total)
> WARNING leaked 1 instance of nsHTMLTextAreaElement with size 64 bytes
> WARNING leaked 1205 instances of nsHashKey with size 4 bytes each (4820 bytes total)
> WARNING leaked 20 instances of nsHashPropertyBag with size 44 bytes each (880 bytes total)
> WARNING leaked 227 instances of nsHashtable with size 44 bytes each (9988 bytes total)
> WARNING leaked 1 instance of nsIDNService with size 60 bytes
> WARNING leaked 1 instance of nsIOService with size 116 bytes
> WARNING leaked 1 instance of nsIdleServiceX with size 16 bytes
> WARNING leaked 5 instances of nsJAR with size 1164 bytes each (5820 bytes total)
> WARNING leaked 20 instances of nsJARChannel with size 168 bytes each (3360 bytes total)
> WARNING leaked 20 instances of nsJARInputStream with size 128 bytes each (2560 bytes total)
> WARNING leaked 20 instances of nsJARInputThunk with size 44 bytes each (880 bytes total)
> WARNING leaked 1 instance of nsJARProtocolHandler with size 24 bytes
> WARNING leaked 20 instances of nsJARURI with size 40 bytes each (800 bytes total)
> WARNING leaked 1 instance of nsJISx4051LineBreaker with size 8 bytes
> WARNING leaked 16 instances of nsJSContext with size 48 bytes each (768 bytes total)
> WARNING leaked 96 instances of nsJSEventListener with size 32 bytes each (3072 bytes total)
> WARNING leaked 22 instances of nsJSID with size 32 bytes each (704 bytes total)
> WARNING leaked 1 instance of nsJSRuntimeServiceImpl with size 24 bytes
> WARNING leaked 1 instance of nsLayoutStatics with size 1 bytes
> WARNING leaked 1 instance of nsLayoutStylesheetCache with size 24 bytes
> WARNING leaked 4 instances of nsLoadGroup with size 4 bytes each (16 bytes total)
> WARNING leaked 60 instances of nsLocalFile with size 104 bytes each (6240 bytes total)
> WARNING leaked 8 instances of nsMediaList with size 16 bytes each (128 bytes total)
> WARNING leaked 1 instance of nsMenuBarX with size 104 bytes
> WARNING leaked 109 instances of nsMenuItemIconX with size 36 bytes each (3924 bytes total)
> WARNING leaked 93 instances of nsMenuItemX with size 68 bytes each (6324 bytes total)
> WARNING leaked 24 instances of nsMenuX with size 72 bytes each (1728 bytes total)
> WARNING leaked 1 instance of nsMetaCharsetObserver with size 36 bytes
> WARNING leaked 1 instance of nsNativeThemeCocoa with size 16 bytes
> WARNING leaked 1 instance of nsNavBookmarks with size 184 bytes
> WARNING leaked 316 instances of nsNodeInfo with size 28 bytes each (8848 bytes total)
> WARNING leaked 26 instances of nsNodeInfoManager with size 36 bytes each (936 bytes total)
> WARNING leaked 27 instances of nsNullPrincipal with size 36 bytes each (972 bytes total)
> WARNING leaked 1 instance of nsObserverEntry with size 584 bytes
> WARNING leaked 20 instances of nsOnloadBlocker with size 8 bytes each (160 bytes total)
> WARNING leaked 1 instance of nsParserService with size 64 bytes
> WARNING leaked 17 instances of nsPersistentProperties with size 84 bytes each (1428 bytes total)
> WARNING leaked 1 instance of nsPref with size 40 bytes
> WARNING leaked 3 instances of nsPrefBranch with size 52 bytes each (156 bytes total)
> WARNING leaked 1 instance of nsPrefService with size 32 bytes
> WARNING leaked 89 instances of nsPrincipal with size 72 bytes each (6408 bytes total)
> WARNING leaked 15 instances of nsProperties with size 4 bytes each (60 bytes total)
> WARNING leaked 3 instances of nsRDFResource with size 24 bytes each (72 bytes total)
> WARNING leaked 1 instance of nsRangeUtils with size 8 bytes
> WARNING leaked 14 instances of nsRect with size 16 bytes each (224 bytes total)
> WARNING leaked 1 instance of nsRepeatService with size 20 bytes
> WARNING leaked 1 instance of nsRunnable with size 8 bytes
> WARNING leaked 20 instances of nsSameOriginChecker with size 12 bytes each (240 bytes total)
> WARNING leaked 1 instance of nsSampleWordBreaker with size 8 bytes
> WARNING leaked 1 instance of nsScreenCocoa with size 12 bytes
> WARNING leaked 1 instance of nsScreenManagerCocoa with size 12 bytes
> WARNING leaked 86 instances of nsScriptError with size 68 bytes each (5848 bytes total)
> WARNING leaked 20 instances of nsScriptLoader with size 36 bytes each (720 bytes total)
> WARNING leaked 20 instances of nsScriptLoaderObserverProxy with size 12 bytes each (240 bytes total)
> WARNING leaked 1 instance of nsScriptSecurityManager with size 92 bytes
> WARNING leaked 27 instances of nsSimpleURI with size 4 bytes each (108 bytes total)
> WARNING leaked 1 instance of nsSocketTransportService with size 1672 bytes
> WARNING leaked 461 instances of nsStandardURL with size 172 bytes each (79292 bytes total)
> WARNING leaked 3 instances of nsStaticCaseInsensitiveNameTable with size 48 bytes each (144 bytes total)
> WARNING leaked 2835 instances of nsStringBuffer with size 8 bytes each (22680 bytes total)
> WARNING leaked 18 instances of nsStringBundle with size 32 bytes each (576 bytes total)
> WARNING leaked 1 instance of nsStringBundleService with size 108 bytes
> WARNING leaked 1 instance of nsSupportsArray with size 52 bytes
> WARNING leaked 15 instances of nsSupportsCStringImpl with size 20 bytes each (300 bytes total)
> WARNING leaked 1 instance of nsSystemPrincipal with size 32 bytes
> WARNING leaked 1275 instances of nsTArray_base with size 4 bytes each (5100 bytes total)
> WARNING leaked 2 instances of nsTextNode with size 32 bytes each (64 bytes total)
> WARNING leaked 9 instances of nsThebesDeviceContext with size 112 bytes each (1008 bytes total)
> WARNING leaked 3 instances of nsThebesImage with size 92 bytes each (276 bytes total)
> WARNING leaked 1 instance of nsThread with size 68 bytes
> WARNING leaked 1 instance of nsTimerImpl with size 48 bytes
> WARNING leaked 1 instance of nsToolkit with size 32 bytes
> WARNING leaked 2 instances of nsURIAndPrincipalHashKey with size 12 bytes each (24 bytes total)
> WARNING leaked 22 instances of nsURIHashKey with size 8 bytes each (176 bytes total)
> WARNING leaked 1 instance of nsUnicodeNormalizer with size 8 bytes
> WARNING leaked 674 instances of nsVoidArray with size 4 bytes each (2696 bytes total)
> WARNING leaked 47 instances of nsWeakReference with size 12 bytes each (564 bytes total)
> WARNING leaked 1 instance of nsWebNavigationInfo with size 16 bytes
> WARNING leaked 1 instance of nsWebShell with size 480 bytes
> WARNING leaked 15 instances of nsXBLDocGlobalObject with size 24 bytes each (360 bytes total)
> WARNING leaked 20 instances of nsXBLDocumentInfo with size 40 bytes each (800 bytes total)
> WARNING leaked 66 instances of nsXBLEventHandler with size 12 bytes each (792 bytes total)
> WARNING leaked 43 instances of nsXBLInsertionPointEntry with size 16 bytes each (688 bytes total)
> WARNING leaked 9 instances of nsXBLKeyEventHandler with size 20 bytes each (180 bytes total)
> WARNING leaked 13 instances of nsXBLParameter with size 8 bytes each (104 bytes total)
> WARNING leaked 44 instances of nsXBLProtoImpl with size 32 bytes each (1408 bytes total)
> WARNING leaked 183 instances of nsXBLProtoImplField with size 24 bytes each (4392 bytes total)
> WARNING leaked 317 instances of nsXBLProtoImplMethod with size 16 bytes each (5072 bytes total)
> WARNING leaked 189 instances of nsXBLProtoImplProperty with size 24 bytes each (4536 bytes total)
> WARNING leaked 81 instances of nsXBLPrototypeBinding with size 56 bytes each (4536 bytes total)
> WARNING leaked 21 instances of nsXBLPrototypeResources with size 12 bytes each (252 bytes total)
> WARNING leaked 4 instances of nsXBLResource with size 20 bytes each (80 bytes total)
> WARNING leaked 21 instances of nsXBLResourceLoader with size 32 bytes each (672 bytes total)
> WARNING leaked 1 instance of nsXBLService with size 52 bytes
> WARNING leaked 43 instances of nsXBLTextWithLineNumber with size 8 bytes each (344 bytes total)
> WARNING leaked 19 instances of nsXBLUncompiledMethod with size 16 bytes each (304 bytes total)
> WARNING leaked 20 instances of nsXMLDocument with size 496 bytes each (9920 bytes total)
> WARNING leaked 155 instances of nsXMLElement with size 28 bytes each (4340 bytes total)
> WARNING leaked 33 instances of nsXPCComponents with size 56 bytes each (1848 bytes total)
> WARNING leaked 31 instances of nsXPCComponents_Classes with size 16 bytes each (496 bytes total)
> WARNING leaked 1 instance of nsXPCComponents_Constructor with size 16 bytes
> WARNING leaked 29 instances of nsXPCComponents_ID with size 16 bytes each (464 bytes total)
> WARNING leaked 31 instances of nsXPCComponents_Interfaces with size 24 bytes each (744 bytes total)
> WARNING leaked 22 instances of nsXPCComponents_Results with size 16 bytes each (352 bytes total)
> WARNING leaked 20 instances of nsXPCComponents_Utils with size 20 bytes each (400 bytes total)
> WARNING leaked 2 instances of nsXPCComponents_utils_Sandbox with size 12 bytes each (24 bytes total)
> WARNING leaked 1 instance of nsXPCThreadJSContextStackImpl with size 16 bytes
> WARNING leaked 1 instance of nsXPCWrappedJS with size 56 bytes
> WARNING leaked 1 instance of nsXPCWrappedJSClass with size 40 bytes
> WARNING leaked 1 instance of nsXPConnect with size 92 bytes
> WARNING leaked 1 instance of nsXTFService with size 40 bytes
> WARNING leaked 479 instances of nsXULElement with size 36 bytes each (17244 bytes total)
> WARNING leaked 2 instances of nsXULPDGlobalObject with size 92 bytes each (184 bytes total)
> WARNING leaked 1 instance of nsXULPopupManager with size 64 bytes
> WARNING leaked 1290 instances of nsXULPrototypeAttribute with size 12 bytes each (15480 bytes total)
> WARNING leaked 1 instance of nsXULPrototypeCache with size 172 bytes
> WARNING leaked 475 instances of nsXULPrototypeElement with size 36 bytes each (17100 bytes total)
> WARNING leaked 5 instances of nsZipArchive with size 1060 bytes each (5300 bytes total)
> WARNING leaked 1 instance of nsZipReaderCache with size 72 bytes
> WARNING leaked 1 instance of xpcPerThreadData with size 52 bytes
> WARNING leaked 141 instances of xptiFile with size 28 bytes each (3948 bytes total)
> WARNING leaked 21 instances of xptiInterfaceInfo with size 16 bytes each (336 bytes total)
> WARNING leaked 1 instance of xptiInterfaceInfoManager with size 144 bytes
> WARNING leaked 1 instance of xptiWorkingSet with size 52 bytes
> WARNING leaked 605223 bytes during test execution
> WARNING leaked 606 instances of AtomImpl with size 16 bytes each (9696 bytes total)
> WARNING leaked 1 instance of BackstagePass with size 20 bytes
> WARNING leaked 4 instances of CSSImportRuleImpl with size 44 bytes each (176 bytes total)
> WARNING leaked 49 instances of CSSImportantRule with size 12 bytes each (588 bytes total)
> WARNING leaked 21 instances of CSSLoaderImpl with size 188 bytes each (3948 bytes total)
> WARNING leaked 23 instances of CSSNameSpaceRuleImpl with size 40 bytes each (920 bytes total)
> WARNING leaked 3 instances of CSSParserImpl with size 4780 bytes each (14340 bytes total)
> WARNING leaked 660 instances of CSSStyleRuleImpl with size 40 bytes each (26400 bytes total)
> WARNING leaked 9 instances of DeviceContextImpl with size 52 bytes each (468 bytes total)
> WARNING leaked 20 instances of HTMLCSSStyleSheetImpl with size 28 bytes each (560 bytes total)
> WARNING leaked 1 instance of HoldJSObjects with size 4 bytes
> WARNING leaked 2 instances of ImageObserver with size 8 bytes each (16 bytes total)
> WARNING leaked 1 instance of LiteralImpl with size 8 bytes
> WARNING leaked 2 instances of MacOSFamilyEntry with size 28 bytes each (56 bytes total)
> WARNING leaked 12 instances of MacOSFontEntry with size 40 bytes each (480 bytes total)
> WARNING leaked 1 instance of NameSpaceManagerImpl with size 44 bytes
> WARNING leaked 1 instance of PrincipalHolder with size 12 bytes
> WARNING leaked 1 instance of RDFServiceImpl with size 272 bytes
> WARNING leaked 2 instances of StringAdopt with size 1 bytes each (2 bytes total)
> WARNING leaked 18 instances of XPCContext with size 40 bytes each (720 bytes total)
> WARNING leaked 20 instances of XPCNativeInterface with size 24 bytes each (480 bytes total)
> WARNING leaked 20 instances of XPCNativeMember with size 12 bytes each (240 bytes total)
> WARNING leaked 33 instances of XPCNativeScriptableInfo with size 8 bytes each (264 bytes total)
> WARNING leaked 3 instances of XPCNativeScriptableShared with size 108 bytes each (324 bytes total)
> WARNING leaked 11 instances of XPCNativeSet with size 8 bytes each (88 bytes total)
> WARNING leaked 64 instances of XPCWrappedNative with size 48 bytes each (3072 bytes total)
> WARNING leaked 35 instances of XPCWrappedNativeProto with size 28 bytes each (980 bytes total)
> WARNING leaked 33 instances of XPCWrappedNativeScope with size 60 bytes each (1980 bytes total)
> WARNING leaked 20 instances of gfxFont with size 72 bytes each (1440 bytes total)
> WARNING leaked 8 instances of gfxGlyphExtents with size 40 bytes each (320 bytes total)
> WARNING leaked 3 instances of gfxImageFrame with size 56 bytes each (168 bytes total)
> WARNING leaked 69 instances of gfxTextRun with size 80 bytes each (5520 bytes total)
> WARNING leaked 16 instances of gfxTextRunFactory with size 8 bytes each (128 bytes total)
> WARNING leaked 15 instances of imgContainer with size 84 bytes each (1260 bytes total)
> WARNING leaked 1 instance of imgLoader with size 12 bytes
> WARNING leaked 15 instances of imgRequest with size 152 bytes each (2280 bytes total)
> WARNING leaked 15 instances of imgRequestProxy with size 32 bytes each (480 bytes total)
> WARNING leaked 2 instances of mozStorageConnection with size 60 bytes each (120 bytes total)
> WARNING leaked 1 instance of mozStorageFunctionGetUnreversedHost with size 8 bytes
> WARNING leaked 1 instance of mozStorageService with size 16 bytes
> WARNING leaked 40 instances of mozStorageStatement with size 44 bytes each (1760 bytes total)
> WARNING leaked 1 instance of nsAnnotationService with size 80 bytes
> WARNING leaked 299 instances of nsAtomList with size 8 bytes each (2392 bytes total)
> WARNING leaked 565 instances of nsAtomStringList with size 12 bytes each (6780 bytes total)
> WARNING leaked 347 instances of nsAttrSelector with size 28 bytes each (9716 bytes total)
> WARNING leaked 1 instance of nsBaseAppShell with size 60 bytes
> WARNING leaked 3 instances of nsBaseURLParser with size 8 bytes each (24 bytes total)
> WARNING leaked 9 instances of nsBaseWidget with size 104 bytes each (936 bytes total)
> WARNING leaked 1 instance of nsBasicEncoder with size 12 bytes
> WARNING leaked 1 instance of nsBidiKeyboard with size 8 bytes
> WARNING leaked 21 instances of nsBindingManager with size 252 bytes each (5292 bytes total)
> WARNING leaked 2 instances of nsBoxLayout with size 8 bytes each (16 bytes total)
> WARNING leaked 6 instances of nsCSSAural with size 136 bytes each (816 bytes total)
> WARNING leaked 6 instances of nsCSSBreaks with size 32 bytes each (192 bytes total)
> WARNING leaked 6 instances of nsCSSColor with size 80 bytes each (480 bytes total)
> WARNING leaked 6 instances of nsCSSColumn with size 24 bytes each (144 bytes total)
> WARNING leaked 6 instances of nsCSSContent with size 24 bytes each (144 bytes total)
> WARNING leaked 660 instances of nsCSSDeclaration with size 32 bytes each (21120 bytes total)
> WARNING leaked 6 instances of nsCSSDisplay with size 136 bytes each (816 bytes total)
> WARNING leaked 6 instances of nsCSSFont with size 88 bytes each (528 bytes total)
> WARNING leaked 6 instances of nsCSSList with size 56 bytes each (336 bytes total)
> WARNING leaked 6 instances of nsCSSMargin with size 520 bytes each (3120 bytes total)
> WARNING leaked 4 instances of nsCSSMediaRule with size 36 bytes each (144 bytes total)
> WARNING leaked 1 instance of nsCSSOMFactory with size 8 bytes
> WARNING leaked 6 instances of nsCSSPage with size 24 bytes each (144 bytes total)
> WARNING leaked 6 instances of nsCSSPosition with size 96 bytes each (576 bytes total)
> WARNING leaked 2 instances of nsCSSQuotes with size 20 bytes each (40 bytes total)
> WARNING leaked 67 instances of nsCSSRect with size 32 bytes each (2144 bytes total)
> WARNING leaked 691 instances of nsCSSRule with size 16 bytes each (11056 bytes total)
> WARNING leaked 17 instances of nsCSSRuleProcessor with size 16 bytes each (272 bytes total)
> WARNING leaked 6 instances of nsCSSSVG with size 252 bytes each (1512 bytes total)
> WARNING leaked 3 instances of nsCSSScanner with size 1000 bytes each (3000 bytes total)
> WARNING leaked 1870 instances of nsCSSSelector with size 36 bytes each (67320 bytes total)
> WARNING leaked 1222 instances of nsCSSSelectorList with size 12 bytes each (14664 bytes total)
> WARNING leaked 26 instances of nsCSSStyleSheet with size 76 bytes each (1976 bytes total)
> WARNING leaked 21 instances of nsCSSStyleSheetInner with size 76 bytes each (1596 bytes total)
> WARNING leaked 6 instances of nsCSSTable with size 80 bytes each (480 bytes total)
> WARNING leaked 6 instances of nsCSSText with size 84 bytes each (504 bytes total)
> WARNING leaked 6 instances of nsCSSUserInterface with size 52 bytes each (312 bytes total)
> WARNING leaked 15 instances of nsCSSValue::Image with size 24 bytes each (360 bytes total)
> WARNING leaked 225 instances of nsCSSValue::URL with size 20 bytes each (4500 bytes total)
> WARNING leaked 153 instances of nsCSSValueList with size 12 bytes each (1836 bytes total)
> WARNING leaked 6 instances of nsCSSValueListRect with size 16 bytes each (96 bytes total)
> WARNING leaked 47 instances of nsCSSValuePair with size 16 bytes each (752 bytes total)
> WARNING leaked 6 instances of nsCSSXUL with size 48 bytes each (288 bytes total)
> WARNING leaked 581 instances of nsCStringKey with size 16 bytes each (9296 bytes total)
> WARNING leaked 15 instances of nsCacheEntryDescriptor with size 24 bytes each (360 bytes total)
> WARNING leaked 1 instance of nsCacheEntryHashTable with size 36 bytes
> WARNING leaked 1 instance of nsCacheService with size 124 bytes
> WARNING leaked 1 instance of nsCategoryManager with size 76 bytes
> WARNING leaked 3 instances of nsCategoryObserver with size 56 bytes each (168 bytes total)
> WARNING leaked 1 instance of nsCharsetAlias2 with size 12 bytes
> WARNING leaked 53 instances of nsChildContentList with size 12 bytes each (636 bytes total)
> WARNING leaked 9 instances of nsCocoaWindow with size 140 bytes each (1260 bytes total)
> WARNING leaked 1 instance of nsCollation with size 8 bytes
> WARNING leaked 1 instance of nsCollationMac with size 272 bytes
> WARNING leaked 88 instances of nsCommentNode with size 32 bytes each (2816 bytes total)
> WARNING leaked 3 instances of nsConsoleMessage with size 20 bytes each (60 bytes total)
> WARNING leaked 1 instance of nsConsoleService with size 76 bytes
> WARNING leaked 1 instance of nsContentPolicy with size 32 bytes
> WARNING leaked 1 instance of nsDNSService with size 40 bytes
> WARNING leaked 1 instance of nsDOMClassInfo with size 16 bytes
> WARNING leaked 11 instances of nsDOMDocumentType with size 80 bytes each (880 bytes total)
> WARNING leaked 1 instance of nsDOMEventGroup with size 8 bytes
> WARNING leaked 1 instance of nsDOMStorageManager with size 44 bytes
> WARNING leaked 1 instance of nsDSURIContentListener with size 32 bytes
> WARNING leaked 1 instance of nsDateTimeFormatMac with size 56 bytes
> WARNING leaked 1 instance of nsDefaultURIFixup with size 96 bytes
> WARNING leaked 1 instance of nsDeque with size 52 bytes
> WARNING leaked 1 instance of nsDocLoader with size 144 bytes
> WARNING leaked 1 instance of nsDocShell with size 460 bytes
> WARNING leaked 2 instances of nsDocShell::InterfaceRequestorProxy with size 12 bytes each (24 bytes total)
> WARNING leaked 20 instances of nsDocument with size 484 bytes each (9680 bytes total)
> WARNING leaked 1 instance of nsEntropyCollector with size 1044 bytes
> WARNING leaked 1 instance of nsErrorService with size 128 bytes
> WARNING leaked 94 instances of nsEventListenerManager with size 92 bytes each (8648 bytes total)
> WARNING leaked 1 instance of nsEventListenerThisTranslator with size 8 bytes
> WARNING leaked 1 instance of nsExceptionManager with size 20 bytes
> WARNING leaked 1 instance of nsExternalHelperAppService with size 36 bytes
> WARNING leaked 1 instance of nsFrameLoader with size 24 bytes
> WARNING leaked 101 instances of nsGenericDOMDataNode with size 28 bytes each (2828 bytes total)
> WARNING leaked 53 instances of nsGenericDOMNodeList with size 8 bytes each (424 bytes total)
> WARNING leaked 638 instances of nsGenericElement with size 24 bytes each (15312 bytes total)
> WARNING leaked 2 instances of nsGenericFactory with size 16 bytes each (32 bytes total)
> WARNING leaked 2 instances of nsGlobalChromeWindow with size 420 bytes each (840 bytes total)
> WARNING leaked 2 instances of nsGlobalWindow with size 412 bytes each (824 bytes total)
> WARNING leaked 1 instance of nsGlobalWindowObserver with size 12 bytes
> WARNING leaked 2 instances of nsHTMLInputElement with size 108 bytes each (216 bytes total)
> WARNING leaked 1 instance of nsHTMLSpanElement with size 28 bytes
> WARNING leaked 20 instances of nsHTMLStyleSheet with size 92 bytes each (1840 bytes total)
> WARNING leaked 120 instances of nsHTMLStyleSheet::GenericTableRule with size 8 bytes each (960 bytes total)
> WARNING leaked 1 instance of nsHTMLTextAreaElement with size 64 bytes
> WARNING leaked 1205 instances of nsHashKey with size 4 bytes each (4820 bytes total)
> WARNING leaked 20 instances of nsHashPropertyBag with size 44 bytes each (880 bytes total)
> WARNING leaked 227 instances of nsHashtable with size 44 bytes each (9988 bytes total)
> WARNING leaked 1 instance of nsIDNService with size 60 bytes
> WARNING leaked 1 instance of nsIOService with size 116 bytes
> WARNING leaked 1 instance of nsIdleServiceX with size 16 bytes
> WARNING leaked 5 instances of nsJAR with size 1164 bytes each (5820 bytes total)
> WARNING leaked 20 instances of nsJARChannel with size 168 bytes each (3360 bytes total)
> WARNING leaked 20 instances of nsJARInputStream with size 128 bytes each (2560 bytes total)
> WARNING leaked 20 instances of nsJARInputThunk with size 44 bytes each (880 bytes total)
> WARNING leaked 1 instance of nsJARProtocolHandler with size 24 bytes
> WARNING leaked 20 instances of nsJARURI with size 40 bytes each (800 bytes total)
> WARNING leaked 1 instance of nsJISx4051LineBreaker with size 8 bytes
> WARNING leaked 16 instances of nsJSContext with size 48 bytes each (768 bytes total)
> WARNING leaked 96 instances of nsJSEventListener with size 32 bytes each (3072 bytes total)
> WARNING leaked 22 instances of nsJSID with size 32 bytes each (704 bytes total)
> WARNING leaked 1 instance of nsJSRuntimeServiceImpl with size 24 bytes
> WARNING leaked 1 instance of nsLayoutStatics with size 1 bytes
> WARNING leaked 1 instance of nsLayoutStylesheetCache with size 24 bytes
> WARNING leaked 4 instances of nsLoadGroup with size 4 bytes each (16 bytes total)
> WARNING leaked 60 instances of nsLocalFile with size 104 bytes each (6240 bytes total)
> WARNING leaked 8 instances of nsMediaList with size 16 bytes each (128 bytes total)
> WARNING leaked 1 instance of nsMenuBarX with size 104 bytes
> WARNING leaked 109 instances of nsMenuItemIconX with size 36 bytes each (3924 bytes total)
> WARNING leaked 93 instances of nsMenuItemX with size 68 bytes each (6324 bytes total)
> WARNING leaked 24 instances of nsMenuX with size 72 bytes each (1728 bytes total)
> WARNING leaked 1 instance of nsMetaCharsetObserver with size 36 bytes
> WARNING leaked 1 instance of nsNativeThemeCocoa with size 16 bytes
> WARNING leaked 1 instance of nsNavBookmarks with size 184 bytes
> WARNING leaked 316 instances of nsNodeInfo with size 28 bytes each (8848 bytes total)
> WARNING leaked 26 instances of nsNodeInfoManager with size 36 bytes each (936 bytes total)
> WARNING leaked 27 instances of nsNullPrincipal with size 36 bytes each (972 bytes total)
> WARNING leaked 1 instance of nsObserverEntry with size 584 bytes
> WARNING leaked 20 instances of nsOnloadBlocker with size 8 bytes each (160 bytes total)
> WARNING leaked 1 instance of nsParserService with size 64 bytes
> WARNING leaked 17 instances of nsPersistentProperties with size 84 bytes each (1428 bytes total)
> WARNING leaked 1 instance of nsPref with size 40 bytes
> WARNING leaked 3 instances of nsPrefBranch with size 52 bytes each (156 bytes total)
> WARNING leaked 1 instance of nsPrefService with size 32 bytes
> WARNING leaked 89 instances of nsPrincipal with size 72 bytes each (6408 bytes total)
> WARNING leaked 15 instances of nsProperties with size 4 bytes each (60 bytes total)
> WARNING leaked 3 instances of nsRDFResource with size 24 bytes each (72 bytes total)
> WARNING leaked 1 instance of nsRangeUtils with size 8 bytes
> WARNING leaked 14 instances of nsRect with size 16 bytes each (224 bytes total)
> WARNING leaked 1 instance of nsRepeatService with size 20 bytes
> WARNING leaked 1 instance of nsRunnable with size 8 bytes
> WARNING leaked 20 instances of nsSameOriginChecker with size 12 bytes each (240 bytes total)
> WARNING leaked 1 instance of nsSampleWordBreaker with size 8 bytes
> WARNING leaked 1 instance of nsScreenCocoa with size 12 bytes
> WARNING leaked 1 instance of nsScreenManagerCocoa with size 12 bytes
> WARNING leaked 86 instances of nsScriptError with size 68 bytes each (5848 bytes total)
> WARNING leaked 20 instances of nsScriptLoader with size 36 bytes each (720 bytes total)
> WARNING leaked 20 instances of nsScriptLoaderObserverProxy with size 12 bytes each (240 bytes total)
> WARNING leaked 1 instance of nsScriptSecurityManager with size 92 bytes
> WARNING leaked 27 instances of nsSimpleURI with size 4 bytes each (108 bytes total)
> WARNING leaked 1 instance of nsSocketTransportService with size 1672 bytes
> WARNING leaked 461 instances of nsStandardURL with size 172 bytes each (79292 bytes total)
> WARNING leaked 3 instances of nsStaticCaseInsensitiveNameTable with size 48 bytes each (144 bytes total)
> WARNING leaked 2835 instances of nsStringBuffer with size 8 bytes each (22680 bytes total)
> WARNING leaked 18 instances of nsStringBundle with size 32 bytes each (576 bytes total)
> WARNING leaked 1 instance of nsStringBundleService with size 108 bytes
> WARNING leaked 1 instance of nsSupportsArray with size 52 bytes
> WARNING leaked 15 instances of nsSupportsCStringImpl with size 20 bytes each (300 bytes total)
> WARNING leaked 1 instance of nsSystemPrincipal with size 32 bytes
> WARNING leaked 1275 instances of nsTArray_base with size 4 bytes each (5100 bytes total)
> WARNING leaked 2 instances of nsTextNode with size 32 bytes each (64 bytes total)
> WARNING leaked 9 instances of nsThebesDeviceContext with size 112 bytes each (1008 bytes total)
> WARNING leaked 3 instances of nsThebesImage with size 92 bytes each (276 bytes total)
> WARNING leaked 1 instance of nsThread with size 68 bytes
> WARNING leaked 1 instance of nsTimerImpl with size 48 bytes
> WARNING leaked 1 instance of nsToolkit with size 32 bytes
> WARNING leaked 2 instances of nsURIAndPrincipalHashKey with size 12 bytes each (24 bytes total)
> WARNING leaked 22 instances of nsURIHashKey with size 8 bytes each (176 bytes total)
> WARNING leaked 1 instance of nsUnicodeNormalizer with size 8 bytes
> WARNING leaked 674 instances of nsVoidArray with size 4 bytes each (2696 bytes total)
> WARNING leaked 47 instances of nsWeakReference with size 12 bytes each (564 bytes total)
> WARNING leaked 1 instance of nsWebNavigationInfo with size 16 bytes
> WARNING leaked 1 instance of nsWebShell with size 480 bytes
> WARNING leaked 15 instances of nsXBLDocGlobalObject with size 24 bytes each (360 bytes total)
> WARNING leaked 20 instances of nsXBLDocumentInfo with size 40 bytes each (800 bytes total)
> WARNING leaked 66 instances of nsXBLEventHandler with size 12 bytes each (792 bytes total)
> WARNING leaked 43 instances of nsXBLInsertionPointEntry with size 16 bytes each (688 bytes total)
> WARNING leaked 9 instances of nsXBLKeyEventHandler with size 20 bytes each (180 bytes total)
> WARNING leaked 13 instances of nsXBLParameter with size 8 bytes each (104 bytes total)
> WARNING leaked 44 instances of nsXBLProtoImpl with size 32 bytes each (1408 bytes total)
> WARNING leaked 183 instances of nsXBLProtoImplField with size 24 bytes each (4392 bytes total)
> WARNING leaked 317 instances of nsXBLProtoImplMethod with size 16 bytes each (5072 bytes total)
> WARNING leaked 189 instances of nsXBLProtoImplProperty with size 24 bytes each (4536 bytes total)
> WARNING leaked 81 instances of nsXBLPrototypeBinding with size 56 bytes each (4536 bytes total)
> WARNING leaked 21 instances of nsXBLPrototypeResources with size 12 bytes each (252 bytes total)
> WARNING leaked 4 instances of nsXBLResource with size 20 bytes each (80 bytes total)
> WARNING leaked 21 instances of nsXBLResourceLoader with size 32 bytes each (672 bytes total)
> WARNING leaked 1 instance of nsXBLService with size 52 bytes
> WARNING leaked 43 instances of nsXBLTextWithLineNumber with size 8 bytes each (344 bytes total)
> WARNING leaked 19 instances of nsXBLUncompiledMethod with size 16 bytes each (304 bytes total)
> WARNING leaked 20 instances of nsXMLDocument with size 496 bytes each (9920 bytes total)
> WARNING leaked 155 instances of nsXMLElement with size 28 bytes each (4340 bytes total)
> WARNING leaked 33 instances of nsXPCComponents with size 56 bytes each (1848 bytes total)
> WARNING leaked 31 instances of nsXPCComponents_Classes with size 16 bytes each (496 bytes total)
> WARNING leaked 1 instance of nsXPCComponents_Constructor with size 16 bytes
> WARNING leaked 29 instances of nsXPCComponents_ID with size 16 bytes each (464 bytes total)
> WARNING leaked 31 instances of nsXPCComponents_Interfaces with size 24 bytes each (744 bytes total)
> WARNING leaked 22 instances of nsXPCComponents_Results with size 16 bytes each (352 bytes total)
> WARNING leaked 20 instances of nsXPCComponents_Utils with size 20 bytes each (400 bytes total)
> WARNING leaked 2 instances of nsXPCComponents_utils_Sandbox with size 12 bytes each (24 bytes total)
> WARNING leaked 1 instance of nsXPCThreadJSContextStackImpl with size 16 bytes
> WARNING leaked 1 instance of nsXPCWrappedJS with size 56 bytes
> WARNING leaked 1 instance of nsXPCWrappedJSClass with size 40 bytes
> WARNING leaked 1 instance of nsXPConnect with size 92 bytes
> WARNING leaked 1 instance of nsXTFService with size 40 bytes
> WARNING leaked 479 instances of nsXULElement with size 36 bytes each (17244 bytes total)
> WARNING leaked 2 instances of nsXULPDGlobalObject with size 92 bytes each (184 bytes total)
> WARNING leaked 1 instance of nsXULPopupManager with size 64 bytes
> WARNING leaked 1290 instances of nsXULPrototypeAttribute with size 12 bytes each (15480 bytes total)
> WARNING leaked 1 instance of nsXULPrototypeCache with size 172 bytes
> WARNING leaked 475 instances of nsXULPrototypeElement with size 36 bytes each (17100 bytes total)
> WARNING leaked 5 instances of nsZipArchive with size 1060 bytes each (5300 bytes total)
> WARNING leaked 1 instance of nsZipReaderCache with size 72 bytes
> WARNING leaked 1 instance of xpcPerThreadData with size 52 bytes
> WARNING leaked 141 instances of xptiFile with size 28 bytes each (3948 bytes total)
> WARNING leaked 21 instances of xptiInterfaceInfo with size 16 bytes each (336 bytes total)
> WARNING leaked 1 instance of xptiInterfaceInfoManager with size 144 bytes
> WARNING leaked 1 instance of xptiWorkingSet with size 52 bytes

Updated

8 years ago
Blocks: 438871

Comment 1

5 years ago
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WORKSFORME
(Assignee)

Updated

5 years ago
Keywords: intermittent-failure
(Assignee)

Updated

5 years ago
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.